{% extends template_base %}
{% load i18n %}
{% load active_tag %}
{% load md2 %}
{% load humanize %}

{% block title %}Detalle de cliente{% endblock %}

{% block pagelevelcss %}
<style>
	.ojo{
    border: 1px solid;
    margin: 10px 0px;
    padding:15px 10px 15px 10px;
    background-repeat: no-repeat;
    background-position: 10px center;
    font-family:Arial, Helvetica, sans-serif;
    font-size:13px;
    width:auto;
	}
	.ojo {
    color: #9F6000;
    background-color: #FEEFB3;
	}
</style>
{% endblock %}

{% block page %}
{%if can_show_detail %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
		<li class="breadcrumb-item active">{{ customer.rut }}</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">{{ customer.name }}</h1>
	<!-- end page-header -->

	{% if warning_contrato == "No Aceptado" %}
	<div class="ojo">
		<i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
		<b><strong>¡Atención!</strong>  El cliente NO ha aceptado el contrato</b>
	</div>
	{% endif %}

	<ul class="nav nav-pills mb-2">
		<li class="nav-item">
			<a href="#"class="nav-link active">
				<span class="d-sm-none">General</span>
				<span class="d-sm-block d-none">General</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-list' %}">
			<a href="{% url 'service-list' customer.pk %}" class="nav-link">
				<span class="d-sm-none">Servicios</span>
				<span class="d-sm-block d-none">Servicios</span>
			</a>
		</li>
		{% if service_preselect %}
		<li class="nav-item {% add_active request 'service-list' %}">
			<a href="{% url 'service-detail' service_preselect.pk %}" class="nav-link">
				<span class="d-sm-none" title="Unico servicio del cliente">#{{service_preselect.number}}</span>
				<span class="d-sm-block d-none" title="Unico servicio del cliente">#{{service_preselect.number}}</span>
			</a>
		</li>
		{% endif %}
		<li class="nav-item {% add_active request 'customer-payment-methods' %}">
			<a href="{% url 'customer-payment-methods' customer.pk %}" class="nav-link">
				<span class="d-sm-none">Métodos de Pago</span>
				<span class="d-sm-block d-none">Métodos de Pago</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'invoice-list' %}">
			<a href="{% url 'invoice-list' customer.pk %}" class="nav-link">
				<span class="d-sm-none">Estado de Cuenta</span>
				<span class="d-sm-block d-none">Estado de Cuenta</span>
			</a>
		</li>
        <li class="nav-item {% add_active request 'invoice-list' %}">
			<a href="{% url 'customer-configuration' customer.pk %}" class="nav-link">
				<span class="d-sm-none">Configuración</span>
				<span class="d-sm-block d-none">Configuración</span>
			</a>
		</li>
        <li class="nav-item {% add_active request 'invoice-list' %}">
			<a href="{% url 'customer-widget' customer.pk %}" class="nav-link">
				<span class="d-sm-none">Widget</span>
				<span class="d-sm-block d-none">Widget</span>
			</a>
		</li>		
	</ul>

	  
	<!-- begin row -->
	<div class="row">
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Datos generales</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					{% if perms.customers.change_customer %}
						<div class="row mb-3">
							<div class="col-sm-12 col-md-12">
								<a class="btn btn-warning btn-sm pull-right" href="{% url 'customer-update' customer.pk %}">Editar</a>
							</div>
						</div>
					{% endif %}
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Campo</th>
								<th>Valor</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td>
									<strong>Tipo de RUT</strong>
								</td>
								<td>
									{{ object.get_kind_display }}
								</td>
							</tr>
							<tr>
								<td><strong>Enviar documento por email</strong></td>
								<td>{{ object.send_email|yesno:"Sí,No" }}</td>
							</tr>
							<tr>
								<td><strong>Enviar documento a domicilio</strong></td><td>{{ object.send_snail_mail|yesno:"Sí,No" }}</td>
							</tr>
							<tr>
								<td><strong>RUT</strong></td><td>{{ object.rut }}</td>
							</tr>
							<tr>
								<td><strong>Nombre</strong></td><td>{{ object.name }}</td>
							</tr>
							{% ifequal object.kind 1 %}
								<tr>
									<td><strong>Fecha de nacimiento</strong></td><td>{{ object.birth_date|default:"No ingresada" }}</td>
								</tr>
							{% endifequal %}
							{% if object.id_pulso %}
							<tr>
								<td><strong>Dirección de Facturación</strong></td><td>{{ object.address }}</td>
							</tr>
							<tr>
								<td><strong>Comuna</strong></td><td>{{ object.commune }}</td>
							</tr>
							{%else%}
							<tr>
								<td>Calle</td><td>{{ object.street }}</td>
							</tr>
							<tr>
								<td>Número</td><td>{{ object.house_number }}</td>
							</tr>
							<tr>
								<td>Número de departamento</td><td>{{ object.apartment_number }}</td>
							</tr>
							<tr>
								<td>Torre</td><td>{{ object.tower }}</td>
							</tr>
							<tr>
								<td><strong>Comuna</strong></td><td>{{ object.commune }}</td>
							</tr>
							{%endif%}
							<tr>
								<td><strong>¿Facturación unificada?</strong></td><td>{{ object.unified_billing|yesno:"Sí,No" }}</td>
							</tr>
							<tr>
								<td><strong>Aceptación de Contrato</strong></td><td>{{ warning_contrato }}</td>
							</tr>
							<tr>
								<td><strong>Observaciones</strong></td><td>{{ object.notes|markdown }}</td>
							</tr>
						</tbody>
					</table>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
					<!-- begin panel-heading -->
					<div class="panel-heading ui-sortable-handle">
						<h4 class="panel-title">Histórico de emails</h4>
						<div class="panel-heading-btn">
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
							<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
						</div>
					</div>
					<!-- end panel-heading -->
					<!-- begin panel-body -->
					<div class="panel-body">
						{% if perms.customers.change_customer %}
						<div class="row mb-3">
							<div class="col-sm-12 col-md-12">
								<a class="btn btn-warning btn-sm pull-right" href="{% url 'customer-update' customer.pk %}">Editar</a>
							</div>
						</div>
						{% endif %}
						<table class="table table-striped">
							<thead>
								<tr>
									<th>Email</th>
									<th>Fecha de cambio</th>
								</tr>
							</thead>
							<tbody>
								{% for hh in object.email_history %}
									<tr>
										<td>{{ hh.email }}</td>
										<td title="{{ hh.history_date }}">{{ hh.history_date|naturaltime }}</td>
									</tr>
								{% endfor %}
							</tbody>
						</table>
					</div>
					<!-- end panel-body -->
				</div>
				<!-- end panel -->
		</div>
		<!-- end col-6 -->
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-4">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Contacto de Usuario</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					<table class="table table-striped">
						<thead>
							<tr>
							<th>Teléfono</th>
							<th>Email</th>
							</tr>
						</thead>
						<tbody>
							{% for contact in contactos%}
							<tr>
								<td>{{ contact.0 }}</td>
								<td>{{ contact.1 }}</td>
							</tr>
							{% endfor %}
							<!--
							<tr>
								<td>{{ object.phone }}</td>
								<td>{{ object.email }}</td>
							</tr>
						-->
						</tbody>
					</table>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
		<!-- end col-6 -->
	</div>

	<div class="col-xl-6 ui-sortable">
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-4">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
				<h4 class="panel-title">Contacto</h4>
				<div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
				</div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
				{% if perms.customers.change_customer %}
					<div class="row mb-3">
						<div class="col-sm-12 col-md-12">
							<a class="btn btn-warning btn-sm pull-right" href="{% url 'customer-update' customer.pk %}">Editar</a>
						</div>
					</div>
				{% endif %}
				<table class="table table-striped">
					<thead>
						<tr>
						<th>Nombre</th>
						<th>Teléfono</th>
						<th>Email</th>
						</tr>
					</thead>
					<tbody>
						<tr>
						</tr>
						{% for contact in object.contact_set.all %}
							<tr>
								<td>{{ contact.name }}</td>
								<td>{{ contact.phone }}</td>
								<td>{{ contact.email }}</td>
							</tr>
						{% endfor %}
					</tbody>
				</table>
			</div>
			<!-- end panel-body -->
		</div>
		<!-- end panel -->
	</div>
	<!-- end col-6 -->
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->
	{%else%}
	<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
		<h4 class="alert-heading">No encontrado</h4>
		<hr>
		<h5 class="mb-0">Cambie de operador o vuelva al listado de clientes.</h5>
	</div>
	{%endif%}
{% endblock %}























